--[[
	##AddOn	: CooldownIcons R(evamped)
	##Subfile 	: pulse.lua
	##Author  : Hati ( xhatix on wowace.com )
--]]
local CIR = CooldownIconsR
if not CIR.pulse then CIR.pulse = { } end
CIR.pulse.pulseList = {
}
CIR.pulse.unusedPulseFrames={
}
CIR.pulse.iconsOnPulse = {
}

function CIR.pulse:NewPulseFrame()
    local pulse = CreateFrame("Frame",nil,UIParent);
    pulse.id = #CIR.pulse.pulseList+1
    pulse:SetPoint("CENTER");
    pulse:SetSize(32,32); --dftl size, will scale to *2
    pulse.texture = pulse:CreateTexture(nil,"ARTWORK");
    pulse.texture:SetAllPoints(pulse);
    --pulse:SetAlpha(0)
    pulse.anims = pulse:CreateAnimationGroup("Pulse")
    pulse.anims.animIn = pulse.anims:CreateAnimation("Alpha")
    pulse.anims.zoomIn = pulse.anims:CreateAnimation("Scale")
    pulse.anims.animOut = pulse.anims:CreateAnimation("Alpha")
    pulse.anims.zoomOut = pulse.anims:CreateAnimation("Scale")
    
    pulse.anims.animIn:SetOrder(1)
    pulse.anims.animIn:SetDuration(0.334)
    pulse.anims.animIn:SetChange(1)
    pulse.anims.animIn:SetSmoothing("IN_OUT")
    
    pulse.anims.zoomIn:SetOrder(1)
    pulse.anims.zoomIn:SetDuration(0.344)
    pulse.anims.zoomIn:SetScale(2,2)
    pulse.anims.zoomIn:SetSmoothing("IN_OUT")
    
    pulse.anims.zoomOut:SetOrder(2)
    pulse.anims.zoomOut:SetDuration(0.1)
    pulse.anims.zoomOut:SetScale(-2,-2)
    pulse.anims.zoomOut:SetSmoothing("IN_OUT")
    
    pulse.anims.animOut:SetOrder(2)
    pulse.anims.animOut:SetDuration(0.1)
    pulse.anims.animOut:SetChange(-1)
    pulse.anims.animOut:SetSmoothing("IN_OUT")
    
    --pulse.SetIcon = SetIcon
    --print(pulse.SetIcon)
    
    pulse.anims:SetScript('OnFinished', function(self)
        tDeleteItem(CIR.pulse.iconsOnPulse,pulse.icon)
        pulse.icon=nil
        pulse.texture:SetTexture()
        tinsert(CIR.pulse.unusedPulseFrames, pulse.id)
    end)
    tinsert(CIR.pulse.pulseList, pulse)
    tinsert(CIR.pulse.unusedPulseFrames, pulse.id)
end




